.block-canteencorp-layout-homepage-banner {
  height: unset!important;
}
.main-hero-banner {
  color: var(--first-color, var(--color-primary-canopy));
  background-color: var(--second-color, var(--color-primary-charged));
  padding: 3rem 1.25rem;
}

.main-hero-banner > .main-hero-banner--inner {
  max-width: 1200px;
  margin-inline: auto;
  display: flex;
  flex-direction: column-reverse;
  column-gap: clamp(2rem, 5vw, 3.75rem);
  row-gap: 2rem;
}

.main-hero-banner .main-hero-banner__content {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}
.main-hero-banner .main-hero-banner__media .main-hero-banner__image-wrap {
  aspect-ratio: 550/400;
}
.main-hero-banner .main-hero-banner__media img {
  background-color: var(--first-color);
  border-radius: 0.9375rem;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  position: relative;
}
.main-hero-banner.main-hero-banner--square .main-hero-banner__image-wrap {
  aspect-ratio: 1;
}
.main-hero-banner.main-hero-banner--square_small .main-hero-banner__image-wrap {
  position: relative;
  aspect-ratio: 1;
  margin: 12%;
}
.main-hero-banner.main-hero-banner--square_small .main-hero-banner__image-wrap:before {
  content: "";
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  inset: 0;
  border-radius: 12%;
  background-color: var(--first-color);
  transform: rotate(30deg);
}
.main-hero-banner.main-hero-banner--square_small .main-hero-banner__image-wrap img {
  border-radius: 12%;
}

@media (min-width: 768px) {
  .main-hero-banner > .main-hero-banner--inner {
    flex-direction: row;
    align-items: center;
  }

  .main-hero-banner .main-hero-banner__content {
    width: 52%;
  }
  .main-hero-banner .main-hero-banner__media {
    width: 48%;
  }

  .main-hero-banner.main-hero-banner--square .main-hero-banner__content {
    width: 65%;
  }
  .main-hero-banner.main-hero-banner--square .main-hero-banner__media {
    width: 35%;
  }
  .main-hero-banner.main-hero-banner--square_small .main-hero-banner__content {
    width: 65%;
  }
  .main-hero-banner.main-hero-banner--square_small .main-hero-banner__media {
    width: 35%;
  }
}
